{% extends 'base.html.twig' %}

{% block title %}S'enregistrer{% endblock %}

{% block body %}
    <div class="row h-100">
        <div class="col-lg-2"></div>
        <div class="col-lg-8 my-auto">
            <div class="row">
                <div class="col-lg-12">
                    <h1>S'enregistrer</h1>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    {{ form_start(registrationForm) }}
                </div>
                <div class="col-lg-12">
                    <div class="row">
                        <div class="col-lg-6 form-group">
                            {{ form_label(registrationForm.firstName, 'Prénom') }}
                            <div class="form-error">
                                {{ form_errors(registrationForm.firstName) }}
                            </div>
                            {{ form_widget(registrationForm.firstName, {
                                'attr' : {
                                    'class' : 'form-control'
                                }
                            }) }}
                        </div>
                        <div class="col-lg-6 form-group">
                            {{ form_label(registrationForm.lastName, 'Nom') }}
                            <div class="form-error">
                                {{ form_errors(registrationForm.lastName) }}
                            </div>
                            {{ form_widget(registrationForm.lastName, {
                                'attr' : {
                                    'class' : 'form-control'
                                }
                            }) }}
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 form-group">
                    {{ form_label(registrationForm.email, 'E-mail') }}
                    <div class="form-error">
                        {{ form_errors(registrationForm.email) }}
                    </div>
                    {{ form_widget(registrationForm.email, {
                        'attr' : {
                            'class' : 'form-control'
                        }
                    }) }}
                </div>
                <div class="col-lg-12 form-group">
                    {{ form_label(registrationForm.plainPassword, 'Mot de passe') }}
                    <div class="form-error">
                        {{ form_errors(registrationForm.plainPassword) }}
                    </div>
                    {{ form_widget(registrationForm.plainPassword, {
                        'attr' : {
                            'class' : 'form-control'
                        }
                    }) }}
                </div>
                <div class="col-lg-6 form-group">
                    <div class="row">
                        <div class="col-lg-5 align-right">
                            {{ form_label(registrationForm.agreeTerms, 'Accepter les termes du contrat') }}
                        </div>
                        <div class="col-lg-7">
                            {{ form_widget(registrationForm.agreeTerms, {
                                'attr' : {
                                    'class' : 'form-control'
                                }
                            }) }}
                        </div>
                    </div>


                </div>
                <div class="col-lg-12">
                    <div class="row justify-content-center">
                        <div class="col-lg-2">
                            <button type="submit" class="btn btn-success">s'enregistrer</button>
                        </div>
                    </div>

                </div>
                <div class="col-lg-12">
                    {{ form_end(registrationForm) }}
                </div>
            </div>
        </div>
        <div class="col-lg-2"></div>
    </div>


{% endblock %}
